<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Gestion des menus et elements graphiques
// Nom      : interface.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
?>

  // ==== Prechargement des images utilisees frequemment ====
  function precharger() {
    icon[0] = new Image(); icon[0].src = "style/"+styleActif+"/images/plus.<?php echo $_SESSION["ws"]["formatExt"]?>";
    icon[1] = new Image(); icon[1].src = "style/"+styleActif+"/images/moins.<?php echo $_SESSION["ws"]["formatExt"]?>";
    icon[2] = new Image(); icon[2].src = "style/"+styleActif+"/images/fondvide.<?php echo $_SESSION["ws"]["formatExt"]?>";
  }

  // ==== Construction de la barre de menus ====
  function initialiser() {
    document.getElementById("charge").innerHTML="<nobr><b><img src='style/"+styleActif+"/images/loading.gif' alt=''>&nbsp;<?php echo $_SESSION["ws"]["dia"]["loading"]?>&nbsp;&nbsp;</b></nobr>";
    document.getElementById("close_arbre").innerHTML="<img src='style/"+styleActif+"/images/fleche.jpg' onclick='alterner(2)'>";
    document.getElementById('frame_galerie').style.overflow="auto";
    document.getElementById('context_box').style.display="none";
    if (arboUser==0) { document.getElementById('frame_content').style.width='100%';
                     document.getElementById('frame_dossier').style.display='none';
                     document.getElementById('frame_dossier').style.left='0px';}
       
    if (effectAct==1) showSlide(); else {
      document.getElementById('frame_adresse').style.top="0px";
      document.getElementById('frame_infos').style.bottom="0px";
      if (arboUser==1) document.getElementById('frame_dossier').style.left="0px";
    }

    createWindow();
    menuGeneral();
    explorer();
    naviguer("");
    context_load();
    if (<?php echo ($_SESSION["ws"]["vClock"]=="1"?"1":"0"); ?>=="1") {
      horloge();
      setInterval("req_async_session()",600000);
    } else document.getElementById('horloge').style.visibility ="hidden";
  }

  // ==== Alterne les diffèrents modes d'affichage du volet d'exploration ====
  function alterner(num) {
  var dispPanel= 0; var delai=0;
  if (document.getElementById('frame_dossier').style.display!='none') { dispPanel=1;
    if (effectAct==1) delai=500; }

  if (dispPanel==1)
    if (effectAct==1) hidePanel(0);
                 else document.getElementById('frame_dossier').style.display='none';

    // Mode Arborescence
    if (num==0) {
    setTimeout("document.getElementById('frame_favoris').style.display='none'",delai);
    setTimeout("document.getElementById('arborescence').style.display='block'",delai);
    setTimeout("document.getElementById('frame_content').style.width  =eval(100-pourcent)+'%';",delai);

    if (effectAct==1) setTimeout("showPanel(-26)",delai*2);
                 else document.getElementById('frame_dossier').style.display='block';
    }
    // Mode Favoris/Propriétés/Recherche
    if (num==1) {
    setTimeout("document.getElementById('arborescence').style.display='none'",delai);
    setTimeout("document.getElementById('frame_favoris').style.display='block'",delai);
      setTimeout("document.getElementById('frame_content').style.width  =eval(100-pourcent)+'%';",delai);

    if (effectAct==1) setTimeout("showPanel(-26)",delai*2);
                 else document.getElementById('frame_dossier').style.display='block';
    }
    // Mode rien
    if (num==2) {
      setTimeout("document.getElementById('frame_content').style.width  ='100%'",delai);
    }

    if ((num==2)||(num==1)) altType=0; else altType=2;
    document.getElementById('close_arbre').innerHTML="<img src='style/"+styleActif+"/images/fleche.jpg' onclick='alterner("+altType+")' title='<?php echo $_SESSION["ws"]["dia"]["closePanel"]?>'>";
  }

  // ==== Fait apparaitre les éléments ====
  function showSlide() {
    defHaut+=2;
    document.getElementById('frame_infos').style.bottom=eval(defHaut)+"px";
    document.getElementById('frame_adresse').style.top =eval(defHaut)+"px";
    document.getElementById('frame_dossier').style.left=eval(defHaut*4)+"px";
    document.getElementById('frame_galerie').style.opacity= eval((defHaut*4)+100)/100;
    if (defHaut<0) setTimeout("showSlide()"  ,10);
  }

  // ==== Fait disparaitre les éléments ====
  function hideSlide() {
    defHaut-=2;
    document.getElementById('frame_infos').style.bottom=eval(defHaut)+"px";
    document.getElementById('frame_adresse').style.top =eval(defHaut)+"px";
    document.getElementById('frame_dossier').style.left=eval(defHaut*6)+"px";
    document.getElementById('frame_galerie').style.opacity= eval((defHaut*4)+100)/100;
    if (defHaut>-30) setTimeout("hideSlide()"  ,10);
  }

  // ==== Fait apparaitre le panneau de gauche ====
  function showPanel(pl) {
    pl+=2;
    document.getElementById('frame_dossier').style.display="block";
    document.getElementById('frame_dossier').style.left=eval(pl*6)+"px";
    if (pl<0) setTimeout("showPanel("+pl+")",10);
                else document.getElementById('frame_dossier').style.left="0px";
  }

  // ==== Fait disparaitre le panneau de gauche ====
  function hidePanel(pl) {
    pl-=2;
    document.getElementById('frame_dossier').style.left=eval(pl*6)+"px";
    if (pl>-30) setTimeout("hidePanel("+pl+")",10);
         else document.getElementById('frame_dossier').style.display="none";
  }

  // ==== Construction du menu general ====
  function menuGeneral() {
    document.getElementById("util").innerHTML= menu_general;
  }

  // ==== Construction du menu images ====
  function menuImage() {
    document.getElementById("tools").innerHTML= menu_images;
  }

  // ==== Construction du menu divers ====
  function menuLiens() {
    document.getElementById("tools").innerHTML= menu_liens;
  }

  // ==== Construction du menu divers ====
  function menuDivers() {
    document.getElementById("tools").innerHTML= menu_divers;
  }

  // ==== Construction du menu edition ====
  function menuEditer() {
    document.getElementById('infotitre').innerHTML="<span class='lien' onclick='cacher();'><u> &nbsp;<?php echo $_SESSION["ws"]["dia"]["fileEditing"]?> &nbsp;"+affichUrl(memoLien)+"&nbsp;"
    +((memoPerm=="R")||(memoPerm=="N")?"<img src='style/"+styleActif+"/images/verrou1.<?php echo $_SESSION["ws"]["formatExt"]?>'>":"")+"</u></span>";
    document.getElementById("tools").innerHTML= menu_editer;
  }

  // ==== Construction du menu web ====
  function menuWeb() {
    document.getElementById("tools").innerHTML= menu_web;
  }


  // ==== Construction du menu vide ====
  function menuVide() {
    document.getElementById("tools").innerHTML= menu_vide;
  }

  // ==== Affichage/masquage du contenu d'un dossier dans l'arbre ====
  function devoile(idDiv,idImg) {

    if (document.getElementById(idDiv)) {
        pdiv = document.getElementById(idDiv).className;
       if (pdiv == 'masque') { document.getElementById(idDiv).className= 'montre'; }
                        else { document.getElementById(idDiv).className= 'masque'; }
       if (eval(document.getElementById(idImg)))
           eval(document.getElementById(idImg)).src="style/"+styleActif+"/images/"+((pdiv=='masque')?"moins":"plus")+".<?php echo $_SESSION["ws"]["formatExt"]?>";
    }
  }

  // ==== Affiche la visualisation d'une image ou du contenu d'un fichier ====
  function montrer(texte) {
    showFile=1;
    if (document.getElementById('viewCom')) document.getElementById('viewCom').style.visibility="hidden";
    if (document.getElementById('zipbox'))  document.getElementById('zipbox').style.visibility="hidden";
    document.getElementById('frame_demande').style.visibility="hidden";

    document.getElementById('frame_file').style.visibility="visible";
    document.getElementById('file').style.visibility="visible";
    document.getElementById('frame_detail').style.overflow="auto";
    document.getElementById('frame_detail').style.visibility="visible";
    document.getElementById('resize_content').style.display = 'block';
    document.getElementById('infotitre').style.display = 'block';
    document.getElementById('infotitre').innerHTML = texte;

    if (effectAct==1) showPreview(0); else {
      document.getElementById('frame_galerie').style.bottom=eval(100-pctHaut)+"%";
      corriger();
    }
  }

  // ==== Fait apparaitre progressivement l'aperçu ====
  function showPreview(htprev) {
    htprev+=2;
    document.getElementById("frame_file").style.opacity=eval((100-pctHaut+htprev)/100);
    document.getElementById("file").style.opacity=eval((100-pctHaut+htprev)/100);
    document.getElementById("frame_file").style.top=eval(100-htprev)+"%";
    document.getElementById("frame_detail").style.top=eval(100-htprev)+"%";

    if (htprev<(100-pctHaut)) setTimeout("showPreview("+htprev+")" ,10); else {
      document.getElementById("frame_galerie").style.bottom=eval(htprev)+"%";
      corriger();
      if (document.getElementById('visuImg')) { zoom100(''); centrer('1'); }

    }
  }

  // ==== Cache la visualisation d'une image ou du contenu d'un fichier ====
  function cacher() {
    showFile=0;
    clearTimeout(boucleDiapo); boucleDiapo="";

    if (effectAct==1) hidePreview(100-pctHaut); else {
      document.getElementById('frame_galerie').style.bottom="36px";
      document.getElementById('frame_detail').innerHTML="";
      document.getElementById('frame_detail').style.visibility="hidden";
      document.getElementById('frame_file').style.visibility="hidden";
      document.getElementById('file').style.visibility="hidden";
      document.getElementById('resize_content').style.display = 'none';
      corriger();
    }
  }


  // ==== Fait disparaitre progressivement l'aperçu ====
  function hidePreview(htprev) {
    htprev-=3;
    document.getElementById("frame_file").style.opacity=eval((100-pctHaut+htprev)/100);
    document.getElementById("file").style.opacity=eval((100-pctHaut+htprev)/100);
    document.getElementById("frame_file").style.top=eval(100-htprev)+"%";
    document.getElementById("frame_detail").style.top=eval(100-htprev)+"%";
    document.getElementById("frame_galerie").style.bottom=eval(htprev)+"%";
      
    if (htprev>0) setTimeout("hidePreview("+htprev+")" ,10); else {
      document.getElementById("frame_galerie").style.bottom="36px";
      document.getElementById('frame_detail').innerHTML="";
      document.getElementById('frame_detail').style.visibility="hidden";
      document.getElementById('frame_file').style.visibility="hidden";
      document.getElementById('file').style.visibility="hidden";
      document.getElementById('resize_content').style.display = 'none';
      corriger();
    }
  }


  // ==== Adapte le contenu des cadres ====
  function corriger() {
    <?php if ($navig=="IE") { ?>
     decaldt = (36/document.body.clientHeight)*100;
     document.getElementById('frame_detail').style.height=eval(100-pctHaut-decaldt)+'%';
     document.getElementById('frame_detail').style.bottom="";
     
     if (showFile==1) decalga = document.getElementById('frame_detail').offsetHeight;
                 else decalga = 0; 
     document.getElementById('frame_galerie').style.height=eval(document.body.clientHeight-72-decalga)+'px';
     document.getElementById('frame_galerie').style.bottom="";
     
     document.getElementById('arborescence').style.height=eval(document.body.clientHeight-40)+'px';
     document.getElementById('frame_demande').style.paddingBottom='14px';
     if (document.getElementById('cadrpic')) {
       document.getElementById('cadrpic').style.height=eval(document.body.clientHeight-100)+'px';
     }
    <?php } ?>

     parentAdr = document.getElementById('adresse');
     spanNodes = parentAdr.getElementsByTagName('span');

     if (document.getElementById('autoshow')) document.getElementById('autoshow').style.display="none";
     for(var i=0; i<spanNodes.length; i++)
       if (spanNodes[i].className=="autohide")
           spanNodes[i].style.display="inline";
     fillspace=document.getElementById('frame_adresse').offsetWidth-document.getElementById('util').offsetWidth-document.getElementById('liens').offsetWidth;

     if (fillspace<=0) {
       document.getElementById('autoshow').style.display="inline";
       for(var i=0; i<spanNodes.length; i++) {
         fillspace=document.getElementById('frame_adresse').offsetWidth-document.getElementById('util').offsetWidth-document.getElementById('liens').offsetWidth;
         if ((spanNodes[i].className=="autohide") && (fillspace<=0))
           spanNodes[i].style.display="none"; }
     }
   }


  // ==== Fonctions de vérifications des caractères dans un formulaire ====
  function verifspeccar(txtbox) {
    var expression = /[<>:#%\+\"\'\|\?&\*\\\/]+/gi;
    if (expression.test(txtbox.value)){
       document.getElementById('frame_demande').style.height="60px";
       txtbox.value=txtbox.value.replace(expression,"");
       document.getElementById('info_demande').innerHTML="<img src='style/"+styleActif+"/images/panneau.<?php echo $_SESSION["ws"]["formatExt"]?>' alt=''>"
         +" <?php echo $_SESSION["ws"]["dia"]["prohibCar"]?>";
    }
  }

  function veriftout(txtbox) {
    var expression = /[<>:#%\+\"\'\|\?&\*\\\/]+/gi;
    if (expression.test(txtbox.value)){
       document.getElementById('frame_demande').style.height="60px";
       txtbox.value=txtbox.value.replace(expression,"");
       document.getElementById('info_demande').innerHTML="<img src='style/"+styleActif+"/images/panneau.<?php echo $_SESSION["ws"]["formatExt"]?>' alt=''>"
         +" <?php echo $_SESSION["ws"]["dia"]["prohibCar"]?>";
    } else { document.getElementById('info_demande').innerHTML="";

    testExist=0; i=1; imax=document.forms.length;
    while (i<=imax) {
    nomForm="param"+i;
      if ((typeof(document.forms[nomForm])!="undefined")&&(document.forms[nomForm].nom.value==txtbox.value)) testExist=1;
      i++;
    }

      if (testExist==1){
         document.getElementById('frame_demande').style.height="60px";
         document.getElementById('info_demande').innerHTML="<img src='style/"+styleActif+"/images/panneau.<?php echo $_SESSION["ws"]["formatExt"]?>' alt=''>"
           +" <?php echo $_SESSION["ws"]["dia"]["alreadyExist"]?>";
      }
    }

  }

  // ==== Nettoie l'url pour affichage ====
  function nettoieUrl(nomUrl) {
    if (nomUrl.indexOf("%u")!=-1) {
      regVerif= /[a-f0-9]/i;
      while (nomUrl.indexOf("%u")!=-1) {

        empl= nomUrl.indexOf("%u");
        car3= nomUrl.substr(empl+4,1);
        car4= nomUrl.substr(empl+5,1);
        var longueur=4;
        if (regVerif.test(car4)===false) longueur=3;
        if (regVerif.test(car3)===false) longueur=2;
        compcar= nomUrl.substr(empl+2,longueur);
        hexacar= parseInt(compcar,16);

        compcar= "%u"+compcar;
        regTest= new RegExp (compcar,"g");
        nomUrl= nomUrl.replace(regTest,"&#"+hexacar);
      }
    }
    if (nomUrl.indexOf("%26")!=-1) {
      nomUrl= nomUrl.replace(/%26/g,"&");
    }
    return nomUrl;
  }




  // ==== Adapte l'url pour affichage ====
  function affichUrl(nomUrl) {
    if (nomUrl.substr(0,4)!="http") {
      while(nomUrl.indexOf("%2F") > 0) {
    nomUrl= nomUrl.replace(/%2F/,"/",nomUrl); }
    nomUrl= nomUrl.substring((nomUrl.lastIndexOf("/"))+1);
    nomUrl= nettoieUrl(nomUrl); }
  return nomUrl;
  }

  // ==== Redimensionne les frames dossier/explorateur ====
  function redimFrame() {
    document.onmousedown = new Function("return false");
    document.onselectstart = new Function("return false");
    largeurscr = document.body.clientWidth;
    pourcent = 100*context_x/largeurscr;
    document.getElementById("frame_dossier").style.width=eval(pourcent)+"%";
    document.getElementById("frame_content").style.width=eval(100-pourcent)+"%";
    redimInt= setTimeout("redimFrame();",100);    
    clearAll();
    corriger();
  }

  // ==== Redimensionne les frames explorateur/aperçu ====
  function redimContent() {
    document.onmousedown = new Function("return false");
    document.onselectstart = new Function("return false");
    hauteurscr = document.body.clientHeight;
    pctHaut = 100*context_y/hauteurscr;
    document.getElementById("frame_file").style.top=eval(pctHaut)+"%";
    document.getElementById("frame_detail").style.top=eval(pctHaut)+"%";
    document.getElementById("frame_galerie").style.bottom=eval(100-pctHaut)+"%";
    redimCnt= setTimeout("redimContent();",100);
    clearAll();
    corriger();
  }
  
  // ==== Agrandit au maximum la frame d'aperçu ====
  function openFull() {
    document.getElementById("frame_file").style.top="36px";
    document.getElementById("frame_detail").style.top="36px";
    document.getElementById("frame_galerie").style.bottom="0px";
    document.getElementById("switchfull").innerHTML="<a><img src='style/"+styleActif+"/images/bt21.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["reducePanel"]?>\"  onclick='closeFull();'></a>";
    clearAll();
    corriger();
    if (document.getElementById('visuImg')) {
      zoom100('');
    }
  }

  // ==== Réduit la frame d'aperçu ====
  function closeFull() {
    document.getElementById("frame_file").style.top=eval(pctHaut)+"%";
    document.getElementById("frame_detail").style.top=eval(pctHaut)+"%";
    document.getElementById("frame_galerie").style.bottom=eval(100-pctHaut)+"%";
    document.getElementById("switchfull").innerHTML="<a><img src='style/"+styleActif+"/images/bt20.<?php echo $_SESSION["ws"]["formatExt"]?>' title=\"<?php echo $_SESSION["ws"]["dia"]["fullScreen"]?>\"  onclick='openFull();'></a>";
    clearAll();
    corriger();
	  if (document.getElementById('visuImg')) {
      centrer('1');
    }
  }
  
  // ==== Redimensionne les frames explorateur/aperçu ====
  function redimStop() {
    clearInterval(redimInt);
    clearInterval(redimCnt);
    document.onselectstart = new Function("return true");
    document.onmousedown = new Function("return false");
  }

  // ==== Rétablie la sélection après un redimensionnement  ====
  function clearAll() {
  }

  // ==== Réduie l'arborescence entière ====
  function reduce() {
     parentAdr = document.getElementById('arbre');
     spanNodes = parentAdr.getElementsByTagName('div');

   for(var i=0; i<spanNodes.length; i++)
     if (spanNodes[i].className=="montre")
           spanNodes[i].className= "masque";
  }

  // ==== Déploie l'arborescence entière ====
  function deploy() {
     parentAdr = document.getElementById('arbre');
     spanNodes = parentAdr.getElementsByTagName('div');

   for(var i=0; i<spanNodes.length; i++)
     if (spanNodes[i].className=="masque")
           spanNodes[i].className= "montre";
  }

  function slideLeft() {
    if (pourcent>2.5) { pourcent-=2.5; setTimeout("slideLeft()",100);
    } else { pourcent=0;
    document.getElementById("frame_dossier").style.visibility="hidden";
    document.getElementById("resize_dossier").style.visibility="hidden";
    document.getElementById("close_arbre").style.visibility="hidden"; }
      document.getElementById("frame_dossier").style.width=eval(pourcent)+"%";
      document.getElementById("frame_content").style.width=eval(100-pourcent)+"%";
  }

  function slideRight() {
    if (pourcent<16.5) { pourcent+=2.5; setTimeout("slideRight()",100);
    } else { pourcent=18;
    document.getElementById("resize_dossier").style.visibility="visible";
    document.getElementById("close_arbre").style.visibility="visible"; }
      document.getElementById("frame_dossier").style.width=eval(pourcent)+"%";
      document.getElementById("frame_content").style.width=eval(100-pourcent)+"%";
    document.getElementById("frame_dossier").style.visibility="visible";
    }




  // ==== Début du chargement d'une image ====
  function showLoading() {
     hauteurbox = (document.getElementById("frame_detail").<?php echo $instr?>Height-150)/2;
     document.getElementById('loadingImg').style.paddingTop=eval(hauteurbox)+"px";
     document.getElementById('loadingImg').style.visibility="visible";
  }
  // ==== Fin du chargement d'une image ====
  function hideLoading() {
   document.getElementById('loadingImg').style.visibility="hidden";
  }

  // ==== Centre l'image ====
  function centrer(autoadapt) {

    adaptImg=document.getElementById('visuImg').style;
    largeurbox = document.getElementById("frame_detail").<?php echo $instr?>Width;
    hauteurbox = document.getElementById("frame_detail").<?php echo $instr?>Height-document.getElementById("exifpic").<?php echo $instr?>Height;
    largeurImg = document.getElementById("visuImg").<?php echo $instr?>Width;
    hauteurImg = document.getElementById("visuImg").<?php echo $instr?>Height;

    if (autoadapt=="1") {
      if ((largeurImg>=largeurbox)||(hauteurImg>=hauteurbox)) {
        largeurmax= hauteurbox*(largeurImg/hauteurImg);
        hauteurmax= largeurbox*(hauteurImg/largeurImg);

        if (hauteurmax < largeurmax)
             { largeurImg= hauteurmax*(largeurImg/hauteurImg); hauteurImg=hauteurmax; }
        else { hauteurImg= largeurmax*(hauteurImg/largeurImg); largeurImg=largeurmax; }
      }
      adaptImg.width = largeurImg;
      adaptImg.height= hauteurImg;
    }

    adaptImg.left  = (largeurbox-largeurImg)/2;
    adaptImg.top   = (hauteurbox-hauteurImg)/2;
  }

  // ==== Affiche les information EXIF ====
  function exifinfo() {
    if ((rephttp.readyState == 4) && (rephttp.status == 200)) {
      document.getElementById('exifpic').innerHTML="<div id='close_exif'><img src='style/"+styleActif+"/images/close.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick='cacheExif()'></div>"+rephttp.responseText;  
    }
  }

  // ==== Cache les information EXIF ====
  function cacheExif() {
     document.getElementById('cadrpic').style.bottom='0';
     new Effect.Fade(document.getElementById('exifpic'));
     corriger();
  }

  // ==== Fonctions de correction du drag&drop ====
  function startDrag(e1, e2) {
     dragElement=1;
     document.onselectstart=new Function ("return false");
   document.getElementById('frame_galerie').style.overflow="visible";
   return true;
  }

  function stopDrag(e1, e2) {
   document.onselectstart=new Function ("return true");
     document.getElementById('frame_galerie').style.overflow="auto";
   return true;
  }

  // ==== Fonction de gestion du drag&drop ====
  function gestionDep(e1, e2) {
    document.getElementById('frame_galerie').style.overflow="auto";

    // Récupére les ID des éléments déplacés et charge leur contextes
  chargeContext(e1.firstChild.name.substr(5,5)); memoContext(); couper();
  chargeContext(e2.firstChild.name.substr(5,5)); memoContext();
  url= actuel; actuel= memoLien; coller(); actuel= url;
  return false;
  }

  // ==== Elargie le zoom ====
  function zoomp(url) {
    adaptImg=document.getElementById('visuImg');
    largeurImg = document.getElementById("visuImg").<?php echo $instr?>Width;
    hauteurImg = document.getElementById("visuImg").<?php echo $instr?>Height;
    leftImg    = adaptImg.offsetLeft;
    topImg     = adaptImg.offsetTop;

    adaptImg.style.width = largeurImg*1.125;
    adaptImg.style.height= hauteurImg*1.125;
    adaptImg.style.left  = leftImg-(largeurImg*0.125/2);
    adaptImg.style.top   =  topImg-(hauteurImg*0.125/2);
  }

  // ==== Rétrecie le zoom ====
  function zoomm(url) {
    adaptImg=document.getElementById('visuImg');
    largeurImg = document.getElementById("visuImg").<?php echo $instr?>Width;
    hauteurImg = document.getElementById("visuImg").<?php echo $instr?>Height;
    leftImg    = adaptImg.offsetLeft;
    topImg     = adaptImg.offsetTop;

    adaptImg.style.width = largeurImg*0.88;
    adaptImg.style.height= hauteurImg*0.88;
    adaptImg.style.left  = leftImg+(largeurImg*0.12/2);
    adaptImg.style.top   =  topImg+(hauteurImg*0.12/2);
  }

  // ==== Zoom à 100% ====
  function zoom100(url) {
    document.getElementById("visuImg").style.width = "auto";
    document.getElementById("visuImg").style.height= "auto";
    centrer(0);
  }

  // ==== Affiche l'image précédente ====
  function precedente() {
    numimg=parseInt(document.formlisteimg.numimg.value)-1;
    maximg=parseInt(document.formlisteimg.maximg.value);
    if (maximg==1) return false;
    showLoading();
    if (numimg<0) numimg=maximg-1;
    document.formlisteimg.numimg.value=numimg;
    if (document.getElementsByName('listeimg').length==1) {
         nomimg  =document.formlisteimg.listeimg.value
         droitimg=document.formlisteimg.droitimg.value;
    } else {
         nomimg  =document.formlisteimg.listeimg[numimg].value;
         droitimg=document.formlisteimg.droitimg[numimg].value;
    }

    document.getElementById('cadrpic').onmouseover= function(){
      if (attenteClic===false) { iciPerm=droitimg;iciType='wspict';memoPerm=droitimg;memoType='wspict'; }
    }
    
    document.getElementById('cadrpic').innerHTML= "<img src="+'"'+"moteur/pic.php?pic="+nomimg+'"'+" id='visuImg' name='visuImg' style='position:absolute;<?php echo $filtre; ?>' border='0' onload='centrer(1); new Draggable(document.getElementById(\"visuImg\"), {}); new Effect.Appear(document.getElementById(\"visuImg\")); hideLoading();'>";
    document.getElementById('infotitre').innerHTML= "<div class='lienfichier' onclick='cacher();'><u>&nbsp;<?php echo $_SESSION["ws"]["dia"]["pictPreview"]?>&nbsp;"+affichUrl(nomimg)+"</u></span>";
    rephttp = getNewXMLHTTP();
    rephttp.onreadystatechange = exifinfo;
    rephttp.open("GET", "moteur/exif.php?url="+nomimg, true);
    rephttp.send(null);
  }

  // ==== Affiche l'image suivante ====
  function suivante() {
    numimg=parseInt(document.formlisteimg.numimg.value)+1;
    maximg=parseInt(document.formlisteimg.maximg.value);
    if (maximg==1) return false;
    showLoading();
    if (numimg>=maximg) numimg=0;
    document.formlisteimg.numimg.value=numimg;
    if (document.getElementsByName('listeimg').length==1) {
         nomimg  =document.formlisteimg.listeimg.value
         droitimg=document.formlisteimg.droitimg.value;
    } else {
         nomimg  =document.formlisteimg.listeimg[numimg].value;
         droitimg=document.formlisteimg.droitimg[numimg].value;
    }

    document.getElementById('cadrpic').onmouseover= function(){
      if (attenteClic===false) { iciPerm=droitimg;iciType='wspict';memoPerm=droitimg;memoType='wspict'; }
    }
    document.getElementById('cadrpic').innerHTML= "<img src="+'"'+"moteur/pic.php?pic="+nomimg+'"'+" id='visuImg' name='visuImg' style='position:absolute;<?php echo $filtre; ?>' border='0' onload='centrer(1); new Draggable(document.getElementById(\"visuImg\"), {}); new Effect.Appear(document.getElementById(\"visuImg\")); hideLoading();'>";
    document.getElementById('infotitre').innerHTML= "<div class='lienfichier' onclick='cacher();'><u>&nbsp;<?php echo $_SESSION["ws"]["dia"]["pictPreview"]?>&nbsp;"+affichUrl(nomimg)+"</u></div>";
    rephttp = getNewXMLHTTP();
    rephttp.onreadystatechange = exifinfo;
    rephttp.open("GET", "moteur/exif.php?url="+nomimg, true);
    rephttp.send(null);
  }

// ==== Fonction d'ouverture d'une fenêtre ====
  function openWindow() {
    cycle=0; prog=10; pas=100/prog; alpha=0; fonduWindow();
  }
// ==== Fonction de fermeture d'une fenêtre ====
  function closeWindow() {
    cycle=0; prog=10; pas=-100/prog; alpha=100; fonduWindow();
  }
// ==== Fonction d'affichage de la fenêtre "A propos de Webshare" ====
  function apropos() {
    openWindow();
    document.getElementById('contenu_fenetre').innerHTML=
       "<span style='position:relative;top: 10px;'> <?php echo $_SESSION["ws"]["dia"]["about"]?>"
      +"</span><img src='style/Standard/images/webshare.png'><br /><br />"
      +"WebShare (c) Virginie Vivancos<br />"
      +"<?php echo $_SESSION["ws"]["dia"]["distribGPL"]?><br /><br />"
      +"<div onclick='visitWebshare()' class='lien' style='text-decoration:underline'><?php echo $_SESSION["ws"]["dia"]["moreInfos"]?></div><br />"
      +"<div onclick='closeWindow()' class='lien' style='text-decoration:underline'><img src='style/Standard/images/ok.png'></div>";
  }
// ==== Fonction d'ouverture du site Webshare ====
  function visitWebshare() {
    maxiView();
    closeWindow();
    surfer('http://<?php echo $_SESSION["ws"]["dia"]["websiteAdr"]?>/');
  }
// ==== Fonction d'ouverture en taille maximisée ====
  function maxiView() {
    pctHaut=6;
  }
  
// ==== Fonction de chargement du contexte du clic ====
function chargeContext(valNum) {
  if (valNum==0) {
    iciType='defaut';iciPro='';iciNom=''; iciWeb='';
    iciSize=0; iciPerm= globPerm;
  } else {
  nomForm= "param"+valNum;
    iciNom =document.forms[nomForm].nom.value;
    iciLien=document.forms[nomForm].lnk.value;
    iciType=document.forms[nomForm].ext.value;
    iciSize=document.forms[nomForm].tai.value;
    iciPerm=document.forms[nomForm].prm.value;
    iciPro =document.forms[nomForm].pro.value;
    iciDtm =document.forms[nomForm].dtm.value;
    iciWeb =document.forms[nomForm].web.value;
    if (document.forms[nomForm].srv.value!="") iciSrv =document.forms[nomForm].srv.value;
                                          else iciSrv = actuelSrv;
  }
}

// ==== Fonction de memorisation du contexte du clic ====
function memoContext() {
  memoNom = iciNom; memoType= iciType; memoLien= iciLien; memoDtm= iciDtm; memoWeb= iciWeb;
  memoPerm= iciPerm; memoPro= iciPro;  memoSrv = iciSrv;  memoSize=iciSize;
}

function reloadContext(e) {
  <?php if ($navig=="MO") echo "if (e) e.stopPropagation();"; ?>
  altClick=1;
  if (alphamenu>50) reloadmenu=1;
  memoContext();
  context_open();
  return(false);
}

// ==== Fonction d'ouverture du menu en fondu ====
function menuAppear() {
  vmenu= document.getElementById('context_box').style;
  vmenu.display="block";
  if (alphamenu<100) {
    dispmenu=1; alphamenu+=10; setTimeout("menuAppear()", 25);
    vmenu.<?php echo $filtreD?>alphamenu<?php echo $filtreF?>
  } else {
    dispmenu=0; alphamenu=100;
    vmenu.<?php echo $filtreD?>alphamenu<?php echo $filtreF?>
  }
}

// ==== Fonction de fermeture du menu en fondu ====
function menuDisappear() {
  if (reloadmenu==1) { reloadmenu=0; menuAppear(); return true; }
  vmenu= document.getElementById('context_box').style;
  if (alphamenu>0) {
  if (dispmenu!=1) { dispmenu=-1; alphamenu-=10;} setTimeout("menuDisappear()", 25);
  } else {
  dispmenu=0; alphamenu =0; vmenu.display="none"; }

  vmenu.<?php echo $filtreD?>alphamenu<?php echo $filtreF?>
}

// ==== Fonction d'ouverture du menu contextuel ====
function context_open() {
  if (!context_x) context_x=0; if (!context_y) context_y=0;
  // Calcule la dimension de l'ecran et du menu contextuel
  largeurscr = document.body.clientWidth;
  hauteurscr = document.body.clientHeight;
  document.getElementById('context_box').style.left="-250px";
  document.getElementById('context_box').style.display='block';
  largeurbox = document.getElementById("context_box").<?php echo $instr?>Width;
  hauteurbox = document.getElementById("context_box").<?php echo $instr?>Height;

  // Pour eviter le debordement hors de la fenêtre
  if ((context_y+hauteurbox)>hauteurscr) context_y = hauteurscr-hauteurbox;
  if ((context_x+largeurbox)>largeurscr) context_x = largeurscr-largeurbox;
  if (context_y<32) context_y = 32;
  document.getElementById("context_box").style.top = context_y;
  document.getElementById("context_box").style.left= context_x;


  // Ouverture du menu en fondu
  context_load();
  <?php if (isset($_SESSION["ws"]["effectAct"])&&($_SESSION["ws"]["effectAct"]=="1")&&($navig!="IE")) echo "if (alphamenu<100) menuAppear();";
        else echo "document.getElementById('context_box').style.display='block';\n"; ?>

  return(false);
}

// ==== Fonction de fermeture du menu contextuel ====
function context_close() {
  document.onselectstart=new Function ("return false");
  if (iciType.substr(0,6)!="affich") {
  <?php if (isset($_SESSION["ws"]["effectAct"])&&($_SESSION["ws"]["effectAct"]=="1")&&($navig!="IE")) echo "if (alphamenu>50) menuDisappear();";
        else echo "document.getElementById('context_box').style.display='none';\n"; ?>
  altClick=0;
  }
}

// ==== Recuperation des touches de clavier ====
function detect_key(e) {
 var touche = window.event ? window.event.keyCode : ((e.which!=0) ? e.which : e.keyCode );
 //document.getElementById("logo").innerHTML= touche;
 
}


// ==== Recuperation des coordonnees de la souris pour y afficher le menu ====
function context_position(e) {
  context_x = getMouseX(e);
  context_y = getMouseY(e);
}

function getMouseX(e){
    if (!e) var e = window.event;
   if(window.opera)                                                //OP6
           return e.clientX;
   else if(document.all)                                           //IE4,IE5,IE6
           return document.body.scrollLeft+e.clientX;
   else if(document.layers||document.getElementById)               //N4,N6,Moz
           return e.pageX;
 }

function getMouseY(e){
    if (!e) var e = window.event;
   if(window.opera)                                                //OP6
           return e.clientY;
   else if(document.all)                                           //IE4,IE5,IE6
           return document.body.scrollTop+e.clientY;
   else if(document.layers||document.getElementById)               //N4,N6,Moz
           return e.pageY;
}


// Met en valeur une entree de menu
function context_hl(mode, element) {
  if(mode == 1) element.className= 'context_sel';
          else  element.className= 'context_item';
}
if(navigator.appName.substring(0,3) == "Net")
  document.captureEvents(Event.MOUSEMOVE);

// ==== Chargement du contenu du menu contextuel en fonction du contexte ====
function context_load() {
  // Determine le menu selon le contexte
  regExt= new RegExp (listeExt,"g");
  tl=iciType.toLowerCase(); if (iciPro=="sup")  tl="sup"; context="defaut";
  if ((tl=='arbo')||(tl=='wspict')||(tl=='sup')||(tl.length>5)||(regExt.test(tl)!=false))
                                              context=tl; else context="std";
  if ((tl=='')||(tl=='defaut'))               context="defaut";
  if ((iciPro=='local')   && (tl==''))        context="txt";
  if ((iciPro=='dossier') && (tl!='defaut') && (tl!='arbo') && (tl!='adresse')) context="dossier";


  try      { tab_elemt= eval('items_'+context); }
  catch(e) { tab_elemt= eval('global'); }

  // Construit le menu
  context_content = '';
  for(a=0;a<tab_elemt.length;a++)  {
    splited = new Array;
    if(tab_elemt[a].indexOf("|") > 0) {
      // Entree de menu
      splited = tab_elemt[a].split("|");
      menuTitre =splited[0];
      menuDroit =splited[1];
      menuAction=splited[2];

      // Mises en valeur
      if ((context=="affichtype")&&(menuAction.indexOf(typeActif)>0))
        menuDroit='10';
      if ((context=="affichtri")&&(menuAction.indexOf(triActif)>0))
        menuDroit='10';
      if ((context=="affichtri")&&(menuAction.indexOf(striActif)>0))
        menuDroit='10';
      if ((context=="affichcss")&&(menuAction.indexOf(styleActif)>0))
        menuDroit='10';
        
      // Selon l'identifiant passe, l'entree est susceptible d'être inactive
      // Identifiant 1 -> Entree active seulement si l'utilisateur dispose des droits
      // Identifiant 2,3 et 4 -> Entree active uniquement si la navigation est possible
      // Identifiant 5 -> Entree active si un element se trouve dans le presse-papier
      // Identifiant 6 -> Entree active seulement si le dossier/fichier n'est pas verrouille
      // Identifiant 7 -> Entree active seulement si l'utilisateur dispose des droits et si le fichier n'est pas verouille
      // Identifiant 8 -> Entree inactive
      // Identifiant 9 -> Entree de titre
      // Identifiant 10-> Entree toujours active
      // Identifiant 11-> Entree inactive si FTP
      
      if ( ((menuDroit=='1') && ( (iciPerm=="N") || (iciPerm=="R") ))
        || ((menuDroit=='2') && (boutonBack==""))
        || ((menuDroit=='3') && (boutonBack==""))
        || ((menuDroit=='4') && (boutonUp==""))
        || ((menuDroit=='5') && (clipboardMode==""))
        || ((menuDroit=='6') && ((iciPerm=="N") || (iciPerm=="W")) )
        || ((menuDroit=='7') && (<?php if ($_SESSION["ws"]["typeUser"]!="1") { ?> (iciPerm=="N") || (iciPerm=="R") || <?php } ?><?php echo ($_SESSION["ws"]["auth6"]=="on"?"false":"true")?>))
        || ((menuDroit=='8')) )
            // Entree desactivee
            context_content += '<div class="context_des">'+menuTitre+'</div>';

       else if (menuDroit=='9')
            // Entree de titre
          context_content += '<div class="context_des"><b>'+menuTitre+'</b></div>';

       else if (menuDroit=='10')
            // Entree toujours activée
          context_content += '<div class="context_sel"><b>'+menuTitre+'</b></div>';

       else if ( (menuDroit=='11')&&((typeSrv==2)||(iciPerm=="N")||(iciPerm=="R")) )
            // Entree désactivée si FTP
          context_content += '<div class="context_des">'+menuTitre+'</div>';

            // Entree activee
       else context_content += '<div class="context_item" onClick="'+menuAction+'" onMouseOver="if (typeof(context_hl)!=\'undefined\') context_hl(1, this)" onMouseOut="if (typeof(context_hl)!=\'undefined\') context_hl(0, this)">'+menuTitre+'</div>';

    }  else {
      // Barre de separation
      context_content += '<div class="context_item"><img src="style/'+styleActif+'/images/barre.<?php echo $_SESSION["ws"]["formatExt"]?>" style="width:190px;height:7px"></div>';
    }
  }
  document.getElementById('context_box').innerHTML= context_content;

  <?php $varClic= array(0=>"lanceAction('')",1=>"reloadContext",2=>"detailer(memoLien)"); ?>


  // Active les evènements generes par la souris
    document.onmousemove = context_position;
    document.oncontextmenu = reloadContext;
    document.onclick = context_close;
    document.onkeypress = detect_key;
    document.onmouseup = redimStop;
  }

  // ==== Détection du sens de rotation de la mollette ====
  function handle(delta) {
	  if (document.getElementById('visuImg')) {
      if (delta < 0)
        zoomp('');
	    else
		    zoomm('');
    }
  }

  // ==== Fonction de gestion de la mollette ====
  function wheel(event){
	  var delta = 0;
	  if (!event) event = window.event;
	  if (event.wheelDelta) {
		  delta = event.wheelDelta/120;
		  if (window.opera) delta = -delta;
	  } else if (event.detail) {
		  delta = -event.detail/3;
	  }
	  if (delta)
		  handle(delta);
        if (event.preventDefault)
                event.preventDefault();
        event.returnValue = false;
  }
  
  // ==== Surveille les actions sur la mollette ====
  function startWheel() {
    if (window.addEventListener)
	     window.addEventListener('DOMMouseScroll', wheel, false);
    window.onmousewheel = document.onmousewheel = wheel;
  }

  // ==== Stoppe la surveillance des actions sur la mollette ====
  function stopWheel() {
    if (window.addEventListener)
	     window.removeEventListener('DOMMouseScroll', wheel, false);
    window.onmousewheel = document.onmousewheel = new Function("return true");
  }

  // ==== Fonction d'initialisation d'une action ====
  function initAction() {
    attenteClic= true;
    memoContext();
    verifDoubleClic();
    if (typeClic==false) setTimeout("selectAction()",400);

  }

  // ==== Agit en fonction du clic de l'utilisateur ====
  function selectAction() {

      if (dragElement==1) { attenteClic= false; altClick=0; dragElement=0; return false; }
      if (typeClic==true) { typeClic=false;
                            <?php echo $varClic[$_SESSION["ws"]["clicd"]].(($_SESSION["ws"]["clicd"]==1)?"()":""); ?>; }
      else if (altClick==0) <?php echo $varClic[$_SESSION["ws"]["clicl"]].(($_SESSION["ws"]["clicl"]==1)?"()":""); ?>;
        attenteClic= false; altClick=0;

  }

 // ==== Détecte le clic de l'utilisateur ====
  function verifDoubleClic() {
    var tempsClicEnCours = (new Date()).getTime();
    if ( (dernierClick == this) && (tempsClicEnCours < tempsDernierClick + tempsEntreDeuxClics) ) {
      dernierClick = null;
      typeClic= true;
    } else {
      dernierClick = this;
      tempsDernierClick = tempsClicEnCours;
      typeClic= false;
    }
  }

  // ==== Affiche l'horloge ====
  function horloge() {
  var enteteDate= '<?php echo date("j ").$_SESSION["ws"]["dia"]["listeMois"][intval(date("n"))].date(" Y - "); ?>';
  dj = new Date();
  heure = dj.getHours();
  minute = dj.getMinutes(); if (minute<10) minute="0"+minute;
  seconde = dj.getSeconds(); if (seconde<10) seconde="0"+seconde;
  document.getElementById('horloge').innerHTML= "&nbsp;"+enteteDate+heure+":"+minute+":"+seconde+"&nbsp;";
    setTimeout("horloge()", 1000);
  }

  // ==== Converti les caractères mal encodes (Transforme du %uxxxx en &#xxxxx;) ====
  function convertAffichage(nomlayer) {
    contlayer= nomlayer.innerHTML;
    if (contlayer.indexOf("%u")!=-1) {
      regVerif= /[a-f0-9]/i;
      while (contlayer.indexOf("%u")!=-1) {
        empl= contlayer.indexOf("%u");
        car3= contlayer.substr(empl+4,1);
        car4= contlayer.substr(empl+5,1);
        var longueur=4;
        if (regVerif.test(car4)===false) longueur=3;
        if (regVerif.test(car3)===false) longueur=2;

        compcar= contlayer.substr(empl+2,longueur);
        hexacar= parseInt(compcar,16);
        compcar= "%u"+compcar;
        regTest= new RegExp (compcar,"g");
        contlayer= contlayer.replace(regTest,"&#"+hexacar);
      }
      nomlayer.innerHTML= contlayer;
    }
    if (contlayer.indexOf("%26")!=-1) {
      contlayer= contlayer.replace(/%26/g,"&");
      nomlayer.innerHTML= contlayer;
    }
  }


  // ==== Conversion de la taille de fichier pour affichage ====
  function convertir(nombre) {
    tailleFichier="";
    if ((nombre == 0) || (nombre == "")) tailleFichier="0";
    if ((nombre  > 0) && (nombre < 1024)) tailleFichier=(Math.round(nombre*100)/100)+" octets";
    if ((nombre >= 1024) && (nombre < 1048576)) tailleFichier=(Math.round((nombre/1024)*100)/100)+" K<?php echo $_SESSION["ws"]["dia"]["octet"]?>";
    if ((nombre >= 1048576) && (nombre < 1073741824)) tailleFichier=(Math.round((nombre/1048576)*100)/100)+" M<?php echo $_SESSION["ws"]["dia"]["octet"]?>";
    if ( nombre >= 1073741824) tailleFichier=(Math.round((nombre/1073741824)*100)/100)+" G<?php echo $_SESSION["ws"]["dia"]["octet"]?>";

    return tailleFichier;
  }

  // ==== Retourne l'equivalence des noms de style appliques ====
  function equivalent(nomStyle) {
    if (nomStyle=='miniatures') return "xslStyle2";
    if (nomStyle=='liste')      return "xslStyle4";
    if (nomStyle=='grandes')    return "xslStyle3";
    if (nomStyle=='details')    return "xslStyle5";
  }

  // ==== Temporaire : affiche la page d'accueil Webshare ====
  function informer(text) {
    surfer('http://www.webshare.fr/')
  }

  // ==== Retourne le nom du fichier ou du repertoire ====
  function basename (path) {
    return path.replace( /.*\//, "" );
  }

  // ==== Fonction d'affichage d'un panneau de recherche/favoris ====
  function fonduProp() {
    vmenu= document.getElementById('frame_favoris').style;
    if (alpha>0) vmenu.visibility="visible";
      <?php if ($navig=="IE") { $filtreD='filter="alpha(opacity="+'; $filtreF='+")"'; }
                      else { $filtreD='opacity='; $filtreF='/100'; } ?>
    vmenu.<?php echo $filtreD?>alpha<?php echo $filtreF?>;
    // Boucle qui fait apparaitre/disparaitre le panneau progressivement
    if (cycle<10) {
        alpha+=pas; cycle+=1;
        setTimeout("fonduProp()", 25); }
    else { if (pas<0) alterner(0); }
    if (alpha<1) vmenu.visibility="hidden";
  }

  // ==== Masque le panneau de recherche/favoris ====
  function cacherProp() {
    new Effect.Appear(frame_dossier);
  }

  // ==== Fonction d'affichage d'une demande de gestion en fondu ====
  function fonduDemande() {
    vmenu= document.getElementById('frame_demande').style;
    if (alpha>0) vmenu.visibility="visible";
      <?php if ($navig=="IE") { $filtreD='filter="alpha(opacity="+'; $filtreF='+")"'; }
                      else { $filtreD='opacity='; $filtreF='/100'; } ?>
    vmenu.<?php echo $filtreD?>alpha<?php echo $filtreF?>;
    // Boucle qui fait apparaitre/disparaitre la demande progressivement
    if (cycle<10) {
        alpha+=pas; cycle+=1;
        setTimeout("fonduDemande()", 25); }
    if (alpha<1) vmenu.visibility="hidden";
  }
  
  // ==== Fonction d'affichage d'une fenetre en fondu ====
  function fonduWindow() {
    vfenetre= document.getElementById('fenetre').style;
    if ((pas>0)&&(cycle==0)) vfenetre.display="block";
      <?php if ($navig=="IE") { $filtreD='filter="alpha(opacity="+'; $filtreF='+")"'; }
                         else { $filtreD='opacity='; $filtreF='/100'; } ?>
    vfenetre.<?php echo $filtreD?>alpha<?php echo $filtreF?>;
    // Boucle qui fait apparaitre/disparaitre la fenetre progressivement
    if (cycle<10) {
        alpha+=pas; cycle+=1;
        setTimeout("fonduWindow()", 25); }
    if ((pas<0)&&(cycle==10)) vfenetre.display="none";
  }

  // ==== Fonction de création d'une fenetre deplacable ====
  function createWindow() {
      document.getElementById('fenetre').innerHTML="<table cellspacing='0'><tr class='mini'>"
      +"<td class='mini'><img src='style/"+styleActif+"/images/fenetre_01.png' /></td>"
      +"<td style="+'"'+"background:url('style/"+styleActif+"/images/fenetre_02.png')"+'"'+" /><img src='style/"+styleActif+"/images/fenetre_02.png' /></td>"
      +"<td class='mini'><img src='style/"+styleActif+"/images/fenetre_03.png' /></td>"
    +"</tr><tr>"
      +"<td style="+'"'+"background:url('style/"+styleActif+"/images/fenetre_04.png')"+'"'+" /></td>"
      +"<td class='fond_fenetre'><div id='contenu_fenetre'> Test de fenêtrage </div></td>"
      +"<td style="+'"'+"background:url('style/"+styleActif+"/images/fenetre_06.png')"+'"'+" /></td>"
    +"</tr><tr class='mini'>"
      +"<td class='mini'><img src='style/"+styleActif+"/images/fenetre_07.png' /></td>"
      +"<td style="+'"'+"background:url('style/"+styleActif+"/images/fenetre_08.png')"+'"'+" /><img src='style/"+styleActif+"/images/fenetre_08.png' /></td>"
      +"<td class='mini'><img src='style/"+styleActif+"/images/fenetre_09.png' /></td>"
    +"</tr></table>";
    new Draggable(document.getElementById('fenetre'), {revert:false,onDrag: function(element, droppableElement) { return true; },onEnd: function(element, droppableElement) { return true; } });
  }